package org.dromara.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.system.domain.CommissionSection;
import org.dromara.system.domain.bo.CommissionSectionBo;
import org.dromara.system.domain.vo.CommissionSectionVo;

import java.util.List;

/**
 * 分成比例区间Service接口
 */
public interface ICommissionSectionService extends IService<CommissionSection> {
    /**
     * 分页查询分成比例区间列表
     */
    TableDataInfo<CommissionSectionVo> queryPageList(CommissionSectionBo bo, PageQuery pageQuery);

    /**
     * 查询分成比例区间详情
     */
    CommissionSectionVo queryById(Integer id);

    /**
     * 新增分成比例区间
     */
    Boolean insertByBo(CommissionSectionBo bo);

    /**
     * 修改分成比例区间
     */
    Boolean updateByBo(CommissionSectionBo bo);

    /**
     * 批量删除分成比例区间
     */
    Boolean deleteWithValidByIds(List<Integer> ids, Boolean isValid);

    /**
     * 根据模板ID查询区间比例列表
     */
    List<CommissionSectionVo> queryListByTemplateId(Integer templateId);
}
